Package csb :: Package bio :: Package io :: Module wwpdb :: Class SparseChainSequence

[frames] | no frames]

# Class SparseChainSequence

source code

                   object --+
                            |
    sequence.AbstractSequence --+
                                |
           sequence.ChainSequence --+
                                    |
                                   SparseChainSequence

Sequence view for reference (SEQRES) or sparse (ATOM) PDB chains. The residue instances passed to the constructor must be csb.bio.structure.Residue or csb.bio.io.wwpdb.ResidueInfo objects.

See csb.bio.sequence.AbstractSequence for details.

Nested Classes
Inherited from `sequence.AbstractSequence`: `__metaclass__`

Instance Methods
Inherited from `sequence.AbstractSequence`: `__getitem__`, `__init__`, `__iter__`, `__len__`, `__repr__`, `__str__`, `dump`, `extract`, `strip`, `subregion` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Static Methods

SparseChainSequence

create(chain) Create a new SparseChainSequence from existing Chain. | source code

Class Variables
Inherited from `sequence.ChainSequence`: `__abstractmethods__` Inherited from `sequence.AbstractSequence`: `DELIMITER`

Properties
Inherited from `sequence.AbstractSequence`: `alphabet`, `header`, `id`, `length`, `residues`, `sequence`, `type` Inherited from `object`: `__class__`

Method Details

### create(chain)
Static Method

source code

Create a new SparseChainSequence from existing Chain.

Parameters:
  - `chain` (csb.bio.structure.Chain)
Returns: SparseChainSequence
Overrides: sequence.ChainSequence.create